﻿<?php
/*自在ポスト 1.1 確認フォーム*/

mb_language("uni");
mb_internal_encoding("utf-8");
mb_http_input("auto");
mb_http_output("utf-8");

$config = parse_ini_file("private/config.ini","r");
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <?php
        print "<title>送信内容確認 | ".$config["site_title"]."</title>";
        print "<link rel='stylesheet' href='".$config["css_path"]."' type='text/css'>";
        print "<link href='".$config["favicon_path"]."' rel='shortcut icon'>";
        ?>
    </head>
    <body>
    <div id="wrapper">
        <header>
            <?php
            print "<img src='".$config["logo_path"]."' alt='".$config["site_title"]."'>".$config["site_title"];
            ?>
        </header>
<div id="base">
            <div id="side">
                <?php
                print $config["side"];
                ?>
            </div>
            <div id="content">
                <h1>送信内容確認</h1>
<?php
if(isset($_POST["list"])){
    if(file_exists("list/".$_POST["list"].".ini")){
        if(isset($_POST["mail_title"])){
            $mail_title = htmlspecialchars($_POST["mail_title"],ENT_QUOTES);
            
            print "<form action='mail.php' method='post'>\n";
            print "<span style='font-size: x-large;'>タイトル： ".$mail_title."</span><input type='hidden' name='mail_title' value='".$mail_title."'><br><br>\n";
            print "<textarea name='mail' style='width: 512px; height: 256px; font-size: large;'>\n";
            for($cnt = 1; 1; $cnt++){
                if(isset($_POST["title_".$cnt])){
                    print "[ ".htmlspecialchars($_POST["title_".$cnt])." ]：\n\n";
                    if(isset($_POST["input_".$cnt])){
                        print htmlspecialchars($_POST["input_".$cnt])."\n\n\n";
                    }
                }else{
                    break;
                }
            }
            print "</textarea><br><br>\n";
            
            if(isset($_SERVER{"HTTP_REFERER"})){
                print "送信元ページ： ".$_SERVER{"HTTP_REFERER"}."\n";
                print "<input type='hidden' name='from' value='".$_SERVER{"HTTP_REFERER"}."'><br><br><br>\n";
            }else{
                print "<input type='hidden' name='from' value='不明'>\n";
            }
            
            if($config["check"] === "yes"){
                print "<span style='font-size: x-large;'>ヒューマンチェック</span><br>お手数ですが、以下の文字を下の入力欄に入力してください。<br><br>\n";
                print "<img src='".$config["check_path"]."' alt=''><br>\n";
                print "<input type='text' name='check' style='width: 200px; font-size: large;'><br>\n";
            }
            
            print "<input type='hidden' name='list' value='".$_POST["list"]."'>";
            
            print "<br><br><button type='submit' style='width: 128px; height: 32px;'>送信</button>\n";
            print "</form>\n";
        }else{
            print "<span style='font-size: xx-large; color: #ff0000;'>エラー： メールのタイトルが送信されていません。</span><br>\n";
        }
    }else{
        print "<span style='font-size: xx-large; color: #ff0000;'>エラー： 送信先リストが存在しません。</span><br>\n";
    }
}else{
    print "<span style='font-size: xx-large; color: #ff0000;'>エラー： フォームが正常に送信されていません。</span><br>\n";
}
?>
        <br>
        <a href="javascript:history.go(-1);" style="font-size: x-large;">&lt;&lt; 戻る・再入力</a><br>
            </div>
    </div>
    <div id="footer">
        <?php
        print $config["footer"]." <a href='owner/' style='font-size: x-small;'>管理者用</a>";
        ?>
    </div>

    </div>
</body>
</html>