﻿<?php
/*自在ポスト 1.1 送信実行*/

mb_language("uni");
mb_internal_encoding("utf-8");
mb_http_input("auto");
mb_http_output("utf-8");

$config = parse_ini_file("private/config.ini","r");
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <?php
        print "<title>送信レポート | ".$config["site_title"]."</title>";
        print "<link rel='stylesheet' href='".$config["css_path"]."' type='text/css'>";
        print "<link href='".$config["favicon_path"]."' rel='shortcut icon'>";
        ?>
    </head>
    <body>
    <div id="wrapper">
        <header>
            <?php
            print "<img src='".$config["logo_path"]."' alt='".$config["site_title"]."'>".$config["site_title"];
            ?>
        </header>
<div id="base">
            <div id="side">
                <?php
                print $config["side"];
                ?>
            </div>
            <div id="content">
                <h1>送信レポート</h1>
<?php
mb_language("uni");
mb_internal_encoding("utf-8");

if(isset($_POST["list"])){
    if(file_exists("list/".$_POST["list"].".ini") and isset($_POST["mail_title"]) AND isset($_POST["mail"]) AND isset($_POST["from"])){
    
    $content = $_POST["mail"]."\n\n送信元ページ： ".$_POST["from"];
    
    if($config["check"] === "yes"){
        if(isset($_POST["check"])){
            if(strtolower(str_replace(" ","",$_POST["check"])) === strtolower(str_replace(" ","",$config["check_word"]))){
                
                /*送信先リストを改行で分割*/
                $list_1 = file_get_contents("list/".$_POST["list"].".ini");
                
                $list_2 = str_replace("\r","\n",$list_1);/*改行コードの統一*/
                
                while(1){/*連続する改行(無記入の行)を削除*/
                    $list_3 = str_replace("\n\n","\n",$list_2);
                    if($list_3 === $list_2){
                        break;
                    }
                    $list_2 = $list_3;
                }
                
                /*先頭の改行を削除*/
                $kekka_pos = strpos($list_3,"\n",0);
                if($kekka_pos === 0){
                    $list_3 = substr($list_3,1);
                }
                
                /*末尾の改行を削除*/
                $nagasa = strlen($list_3);
                if($nagasa != 0){
                    $kekka_pos = strpos($list_3,"\n",$nagasa - 1);
                    if($kekka_pos !== FALSE){
                        $list_3 = substr($list_3,0,$nagasa - 1);
                    }
                }
                
                if(strlen($list_3) !== 0){
                    
                    /*変数定義*/
                    $mozi_pos1 = 0;
                    $sippai = 0;
                    
                    for($cnt = 0; TRUE; $cnt++){
                        $mozi_pos2 = strpos($list_3,"\n",$mozi_pos1);
                        
                        if($mozi_pos2 === FALSE){
                            /*最終行のアドレスに送信*/
                            $mail_ad = substr($list_3,$mozi_pos1);
                            
                            $kekka = mb_send_mail($mail_ad,$_POST["mail_title"],$content);
                            if($kekka != TRUE){
                                $sippai = $sippai + 1;
                            }
                            
                            break;
                        }
                        
                        $mail_ad = substr($list_3,$mozi_pos1,$mozi_pos2 - $mozi_pos1);
                        $mozi_pos1 = $mozi_pos2 + 1;/*+1は「改行」の文字数*/
                        
                        /*最終行以外のアドレスに送信*/
                        $kekka = mb_send_mail($mail_ad,$_POST["mail_title"],$content);
                        if($kekka != TRUE){
                            $sippai = $sippai + 1;
                        }
                    }
                    if($sippai == 0){
                        print "<span style='font-size: x-large;'>正常に送信されました</span><br><br><br>\n";
                    }else{
                        print "<span style='font-size: xx-large; color: #ff0000;'>エラー： ".$cnt."件中".$sippai."件のメールの送信に失敗しました。</span><br><br><br>\n";
                        print "<a href='javascript:history.go(-1);' style='font-size: x-large;'>&lt; 再入力</a><br><br>\n";
                    }
                }else{
                    print "<span style='font-size: x-large;'>エラー： 送信先リストが無記入です。</span>";
                }
            }else{
                print "<span style='font-size: xx-large; color: #ff0000;'>ヒューマンチェックが間違っています。</span><br><br><br>\n";
                print "<a href='javascript:history.go(-1);' style='font-size: x-large;'>&lt; 再入力</a><br><br>\n";
            }
        }else{
            print "<span style='font-size: xx-large; color: #ff0000;'>エラー： ヒューマンチェックが送信されていません。</span><br><br><br>\n";
            print "<a href='javascript:history.go(-1);' style='font-size: x-large;'>&lt; 再入力</a><br><br>\n";
        }
    }else{
        
        /*送信先リストを改行で分割*/
        $list_1 = file_get_contents("list/".$_POST["list"].".ini");
        
        $list_2 = str_replace("\r","\n",$list_1);/*改行コードの統一*/
        
        while(1){/*連続する改行(無記入の行)を削除*/
            $list_3 = str_replace("\n\n","\n",$list_2);
            if($list_3 === $list_2){
                break;
            }
                $list_2 = $list_3;
        }
        
        /*先頭の改行を削除*/
        $kekka_pos = strpos($list_3,"\n",0);
        if($kekka_pos === 0){
            $list_3 = substr($list_3,1);
        }
        
        /*末尾の改行を削除*/
        $nagasa = strlen($list_3);
        if($nagasa != 0){
            $kekka_pos = strpos($list_3,"\n",$nagasa - 1);
            if($kekka_pos !== FALSE){
                $list_3 = substr($list_3,0,$nagasa - 1);
            }
        }
        
        if(strlen($list_3) !== 0){
            
            /*変数定義*/
            $mozi_pos1 = 0;
            $sippai = 0;
            
            for($cnt = 0; TRUE; $cnt++){
                $mozi_pos2 = strpos($list_3,"\n",$mozi_pos1);
                
                if($mozi_pos2 === FALSE){
                    /*最終行のアドレスに送信*/
                    $kekka = mb_send_mail($mail_ad,$_POST["mail_title"],$content);
                    if($kekka != TRUE){
                        $sippai = $sippai + 1;
                    }
                    
                        break;
                }
                
                $mail_ad = substr($list_3,$mozi_pos1,$mozi_pos2 - $mozi_pos1);
                $mozi_pos1 = $mozi_pos2 + 1;/*+1は「改行」の文字数*/
                
                /*最終行のアドレスに送信*/
                $mail_ad = substr($list_3,$mozi_pos1);
                
                $kekka = mb_send_mail($mail_ad,$_POST["mail_title"],$content);
                if($kekka != TRUE){
                    $sippai = $sippai + 1;
                }
            }
            if($sippai == 0){
                print "<span style='font-size: x-large;'>正常に送信されました</span><br><br><br>\n";
            }else{
                print "<span style='font-size: xx-large; color: #ff0000;'>エラー： ".$cnt."件中".$sippai."件のメールの送信に失敗しました。</span><br><br><br>\n";
                print "<a href='javascript:history.go(-1);' style='font-size: x-large;'>&lt; 再入力</a><br><br>\n";
            }
        }else{
            print "<span style='font-size: x-large;'>エラー： 送信先リストが無記入です。</span>";
        }
    }
    print "<span style='font-size: x-large;'>タイトル： ".htmlspecialchars($_POST["mail_title"],ENT_QUOTES)."</span><br><br>\n";
    print "<textarea name='mail' style='width: 512px; height: 256px; font-size: large;' readonly>\n";
    print htmlspecialchars($content);
    print "</textarea><br><br>\n";
    }else{
        print "<span style='font-size: xx-large; color: #ff0000;'>エラー： 送信されたデータは破損しています。</span><br>\n";
    }
}else{
    print "<span style='font-size: xx-large; color: #ff0000;'>エラー： フォームが正常に送信されていません。</span><br>\n";
}
?>
        <br>
        <a href="javascript:history.go(-2);" style="font-size: x-large;">&lt;&lt; 戻る</a>
                </div>
    </div>
    <div id="footer">
        <?php
        print $config["footer"];
        ?>
    </div>

    </div>
</body>
</html>